import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

const routes: Routes = [
  { path: '', loadChildren: './pages/seleciona-franquia/seleciona-franquia.module#SelecionaFranquiaPageModule'},    
  { path: 'tabs', loadChildren: './pages/tabs/tabs.module#TabsPageModule'},    
  { path: 'brinquedo-detalhe', loadChildren: './pages/brinquedo-detalhe/brinquedo-detalhe.module#BrinquedoDetalhePageModule' },
  { path: 'cadastro-usuario', loadChildren: './pages/cadastro-usuario/cadastro-usuario.module#CadastroUsuarioPageModule' },  
  { path: 'carregando', loadChildren: './pages/carregando/carregando.module#CarregandoPageModule' },
  { path: 'contato', loadChildren: './pages/contato/contato.module#ContatoPageModule' },
  { path: 'detalhe-pedido', loadChildren: './pages/detalhe-pedido/detalhe-pedido.module#DetalhePedidoPageModule' },
  { path: 'duvidas-frequentes', loadChildren: './pages/duvidas-frequentes/duvidas-frequentes.module#DuvidasFrequentesPageModule' },
  { path: 'login', loadChildren: './pages/login/login.module#LoginPageModule' },
  { path: 'menu-status', loadChildren: './pages/menu-status/menu-status.module#MenuStatusPageModule' },
  { path: 'quem-somos', loadChildren: './pages/quem-somos/quem-somos.module#QuemSomosPageModule' },
  { path: 'seleciona-franquia', loadChildren: './pages/seleciona-franquia/seleciona-franquia.module#SelecionaFranquiaPageModule' },
  { path: 'termo-uso', loadChildren: './pages/termo-uso/termo-uso.module#TermoUsoPageModule' },
  { path: 'vantagens', loadChildren: './pages/vantagens/vantagens.module#VantagensPageModule' },
  { path: 'pagseguro', loadChildren: './pages/pagseguro/pagseguro.module#PagseguroPageModule' },
  { path: 'meus-dados', loadChildren: './pages/meus-dados/meus-dados.module#MeusDadosPageModule' },
  { path: 'seleciona-forma-pagamento', loadChildren: './pages/seleciona-forma-pagamento/seleciona-forma-pagamento.module#SelecionaFormaPagamentoPageModule' },
  { path: 'transferencia', loadChildren: './pages/transferencia/transferencia.module#TransferenciaPageModule' },
  { path: 'teste', loadChildren: './pages/teste/teste.module#TestePageModule' },
  { path: 'brinquedos-pesquisa', loadChildren: './pages/brinquedos-pesquisa/brinquedos-pesquisa.module#BrinquedosPesquisaPageModule' },
];
@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule {}
