import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { Routes, RouterModule } from '@angular/router';

import { IonicModule } from '@ionic/angular';

import { BrinquedosPesquisaPage } from './brinquedos-pesquisa.page';

const routes: Routes = [
  {
    path: 'brinquedos-pesquisa',
    component: BrinquedosPesquisaPage
  }
];

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    ReactiveFormsModule,
    RouterModule.forChild(routes)
  ],
  declarations: [BrinquedosPesquisaPage]
})
export class BrinquedosPesquisaPageModule {}
