import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { BrinquedosPage } from './brinquedos.page';
import { PipesModule } from '../../../pipes/pipes.module';
import { MenuStatusPageModule } from '../menu-status/menu-status.module';
import { BrinquedosPesquisaPageModule } from '../brinquedos-pesquisa/brinquedos-pesquisa.module';
import { IonicImageLoader } from 'ionic-image-loader';


@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    RouterModule.forChild([{ path: '', component: BrinquedosPage }]),
    PipesModule,
    MenuStatusPageModule,
    BrinquedosPesquisaPageModule,
    IonicImageLoader
  ],
  declarations: [BrinquedosPage],
  schemas: [ CUSTOM_ELEMENTS_SCHEMA ]
})
export class BrinquedosPageModule {}


