import { Component } from '@angular/core';
import { forkJoin } from 'rxjs';
import { Observable } from 'rxjs';
import { Subject } from 'rxjs';
import { Router } from '@angular/router';

/**
 * Generated class for the CarregandoPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */




@Component({
  selector: 'app-carregando',
  templateUrl: './carregando.page.html',
  styleUrls: ['./carregando.page.scss'],
})
export class CarregandoPage {

  private data: any;
  
  public propOne: string;
  public propTwo: string;
  public propThree: string;
  status: string;
  
  constructor(private router: Router) {
    this.todosProcessos().subscribe(
      ([value1, value2])  => {
        this.status = value1[0];
        console.log(value1)
        },
      err => console.log(err),
      () => console.log('done')
    )
    
    this.data = new Observable(observer => {
      setTimeout(() => {
        observer.next('Primeira Ação...');
      },3000);
      setTimeout(() => {
        observer.next('Segunda Ação...');
      },2000);
      setTimeout(() => {
        observer.complete();
      },3000);
    });
    
      let subscriber = this.data.subscribe(
        value => {
          this.status = value;
          console.log(value)
          },
        err => console.log(err),
        () => console.log('done')
      );
  }

  todosProcessos(){
    return forkJoin(this.data, this.data);
  }
  ionViewDidEnter(){

  }

  ionViewDidLoad() {
    console.log('ionViewDidLoad CarregandoPage');
  }
  onSubmit() {
    this.router.navigateByUrl('/seleciona-franquia');
    //this.navCtrl.setRoot(TabsPage);
  }

}
