import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { Routes, RouterModule } from '@angular/router';
import { MobButtonBackModule } from '../../components/mob-button-back/mob-button-back.module';

import { IonicModule } from '@ionic/angular';

import { QuemSomosPage } from './quem-somos.page';

const routes: Routes = [
  {
    path: '',
    component: QuemSomosPage
  }
];

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    RouterModule.forChild(routes),
    MobButtonBackModule
  ],
  declarations: [QuemSomosPage],
  schemas: [ CUSTOM_ELEMENTS_SCHEMA ]
})
export class QuemSomosPageModule {}
