import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { RoutingStateService } from '../../services/routing-state.service';

@Component({
  selector: 'mob-button-back',
  templateUrl: './mob-button-back.component.html',
  styleUrls: ['./mob-button-back.component.scss']
})
export class MobButtonBackComponent implements OnInit {

  constructor(private routingStateService: RoutingStateService,
              private router: Router) { }
  
  previousRoute: string;

  ngOnInit() {    
    this.previousRoute = this.routingStateService.getPreviousUrl();
    console.log('ngOnInit this.previousRoute: ' + this.previousRoute);
  }

  getUrl(){
    console.log('this.previousRoute: ' + this.previousRoute);
    this.router.navigateByUrl(this.previousRoute);
  }
}
