import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { Routes, RouterModule } from '@angular/router';

import { IonicModule } from '@ionic/angular';

import { BrinquedoDetalhePage } from './brinquedo-detalhe.page';

import { PipesModule } from '../../../pipes/pipes.module';
import { MobButtonBackModule } from '../../components/mob-button-back/mob-button-back.module';
import { IonicImageLoader } from 'ionic-image-loader';

const routes: Routes = [
  {
    path: '',
    component: BrinquedoDetalhePage
  }
];

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    RouterModule.forChild(routes),
    PipesModule,
    MobButtonBackModule,
    IonicImageLoader    
  ],
  declarations: [BrinquedoDetalhePage],
  schemas: [ CUSTOM_ELEMENTS_SCHEMA ]
})
export class BrinquedoDetalhePageModule {}
