import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { Routes, RouterModule } from '@angular/router';

import { IonicModule } from '@ionic/angular';

import { DetalhePedidoPage } from './detalhe-pedido.page';

import { PipesModule } from '../../../pipes/pipes.module';
import { MobButtonBackModule } from '../../components/mob-button-back/mob-button-back.module';

const routes: Routes = [
  {
    path: '',
    component: DetalhePedidoPage
  }
];

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    RouterModule.forChild(routes),
    PipesModule,
    MobButtonBackModule 
  ],
  declarations: [DetalhePedidoPage]
})
export class DetalhePedidoPageModule {}
