import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { Routes, RouterModule } from '@angular/router';

import { IonicModule } from '@ionic/angular';

import { DuvidasFrequentesPage } from './duvidas-frequentes.page';
import { MobButtonBackModule } from '../../components/mob-button-back/mob-button-back.module';

const routes: Routes = [
  {
    path: '',
    component: DuvidasFrequentesPage
  }
];

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    RouterModule.forChild(routes),
    MobButtonBackModule
  ],
  declarations: [DuvidasFrequentesPage],
  schemas: [ CUSTOM_ELEMENTS_SCHEMA ]
})
export class DuvidasFrequentesPageModule {}
