import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MeusDadosPage } from './/meus-dados.page';
import { MobButtonBackModule } from '../../components/mob-button-back/mob-button-back.module';

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    RouterModule.forChild([{ path: '', component: MeusDadosPage }]),
    MobButtonBackModule
  ],
  declarations: [MeusDadosPage],
  schemas: [ CUSTOM_ELEMENTS_SCHEMA ]
})
export class MeusDadosPageModule {}