import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { Routes, RouterModule } from '@angular/router';

import { IonicModule } from '@ionic/angular';

import { PagseguroPage } from './pagseguro.page';

import { MobButtonBackModule } from '../../components/mob-button-back/mob-button-back.module';
import { PipesModule } from '../../../pipes/pipes.module';


const routes: Routes = [
  {
    path: '',
    component: PagseguroPage
  }
];

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    RouterModule.forChild(routes),
    MobButtonBackModule,
    PipesModule
  ],
  declarations: [PagseguroPage]
})
export class PagseguroPageModule {}
